%global pypi_name chargeamps

Name:           python-%{pypi_name}
Version:        1.4.0
Release:        1%{?dist}
Summary:        Charge Amps API bindings for Python

License:        BSD
URL:            https://github.com/kirei/python-chargeamps
Source0:        %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
Python module for the Charge Amps' electric vehicle charging
stations.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python module for the Charge Amps' electric vehicle charging
stations.

%prep
%autosetup -n python-%{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info
%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc CHANGES.md README.md examples/
%{_bindir}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/

%changelog
* Mon Aug 24 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.4.0-1
- Initial package for Fedora